import com.j256.ormlite.dao.Dao;
import org.junit.Assert;
import org.junit.Before;
import org.junit.Test;

import java.sql.SQLException;
import java.util.ArrayList;

import static org.junit.Assert.*;

public class AccountServiceTest {

    AccountService serviceTest;
    Dao<Account,Integer> mockDao = new MockDao();
    Account account;

    @Before
    public void setup(){
        serviceTest = new AccountService(mockDao);
        account = new Account();
        account.setName("Test Testmond");
        account.setPassword("ttteeesssttt");
    }

    @Test
    public void createTest() throws SQLException {
        int actual = serviceTest.create(account);
        int expected = 1;
        Assert.assertEquals(expected, actual);
    }

    @Test
    public void readTest() throws SQLException {
        Account actual = serviceTest.read(0);
        Account expected = mockDao.queryForId(0);
        Assert.assertEquals(expected,actual);
    }

    @Test
    public void updateTest() throws SQLException {
        int expected = 1;
        int actual = serviceTest.update(account);
        Assert.assertEquals(expected,actual);
    }

    @Test
    public void deleteTest() throws SQLException {
        int expected = 1;
        int actual = serviceTest.delete(account);
        Assert.assertEquals(expected,actual);
    }

}